package de.cliffbreak.core.commands;

import de.cliffbreak.core.CliffbreakCore;
import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.World;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import java.io.IOException;

public class CommandHub implements CommandExecutor {

    private CliffbreakCore plugin;

    public CommandHub(CliffbreakCore plugin) {
        this.plugin = plugin;
    }

    @Override
    public boolean onCommand(CommandSender commandSender, Command command, String s, String[] args) {
        if (commandSender instanceof Player) {
            Player p = (Player) commandSender;

            if (args.length == 0) {
                World w = Bukkit.getWorld(plugin.cfg.getString("Hub.Spawn.World"));
                double x = plugin.cfg.getDouble("Hub.Spawn.X");
                double y = plugin.cfg.getDouble("Hub.Spawn.Y");
                double z = plugin.cfg.getDouble("Hub.Spawn.Z");
                float yaw = (float) plugin.cfg.getDouble("Hub.Spawn.Yaw");
                float pitch = (float) plugin.cfg.getDouble("Hub.Spawn.Pitch");

                p.teleport(new Location(w, x, y, z, yaw, pitch));
                return true;
            }

            if (!p.hasPermission("cliffbreak.command.hub")) {
                p.sendMessage("§cNope");
                return true;
            }
            if (args.length == 1 && args[0].equalsIgnoreCase("setspawn")) {
                plugin.cfg.set("Hub.Spawn.World", p.getLocation().getWorld().getName());
                plugin.cfg.set("Hub.Spawn.X", p.getLocation().getX());
                plugin.cfg.set("Hub.Spawn.Y", p.getLocation().getY());
                plugin.cfg.set("Hub.Spawn.Z", p.getLocation().getZ());
                plugin.cfg.set("Hub.Spawn.Yaw", (double) p.getLocation().getYaw());
                plugin.cfg.set("Hub.Spawn.Pitch", (double) p.getLocation().getPitch());

                try {
                    plugin.cfg.save(plugin.cfgFile);
                    p.sendMessage("§aDer §lHub-Spawn §r§awurde erfolgreich gesetzt.");
                } catch (IOException e) {
                    p.sendMessage("§cDer §lHub-Spawn §r§cwurde NICHT erfolgreich gesetzt.");
                    e.printStackTrace();
                }
                return true;
            }
        }
        return true;
    }
}
