package de.cliffbreak.core.listeners;

import de.cliffbreak.core.CliffbreakCore;
import org.bukkit.Bukkit;
import org.bukkit.GameMode;
import org.bukkit.Location;
import org.bukkit.World;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;

public class PlayerJoinListener implements Listener {
    private CliffbreakCore plugin;

    public PlayerJoinListener(CliffbreakCore plugin) {
        this.plugin = plugin;
    }

    @EventHandler()
    public void onPlayerJoin(PlayerJoinEvent e) {
        Player p = e.getPlayer();
        e.setJoinMessage(null);

        World w = Bukkit.getWorld(plugin.cfg.getString("Hub.Spawn.World"));
        double x = plugin.cfg.getDouble("Hub.Spawn.X");
        double y = plugin.cfg.getDouble("Hub.Spawn.Y");
        double z = plugin.cfg.getDouble("Hub.Spawn.Z");
        float yaw = (float) plugin.cfg.getDouble("Hub.Spawn.Yaw");
        float pitch = (float) plugin.cfg.getDouble("Hub.Spawn.Pitch");
        p.teleport(new Location(w, x, y, z, yaw, pitch));

        p.setFlySpeed(0.1f);
        p.setAllowFlight(false);
        p.setFlying(false);
        p.setGameMode(GameMode.ADVENTURE);
    }
}
